Submit dispute evidence
Uploads the collected evidence and submits it to the bank for review. Set submit to false to stage evidence without final submission.
curl --request POST \
--url https://api.yorlet.com/v1/disputes/{id}/submit_evidence \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"submit": true
}'import requests
url = "https://api.yorlet.com/v1/disputes/{id}/submit_evidence"
payload = { "submit": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({submit: true})
};
fetch('https://api.yorlet.com/v1/disputes/{id}/submit_evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/disputes/{id}/submit_evidence",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'submit' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/disputes/{id}/submit_evidence"
payload := strings.NewReader("{\n \"submit\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/disputes/{id}/submit_evidence")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"submit\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/disputes/{id}/submit_evidence")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"submit\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "dispute",
"amount": 123,
"assignee": "<string>",
"balance_transaction": {
"id": "<string>",
"created": 123,
"object": "balance_transaction",
"amount": 123,
"available_on": 123,
"currency": "<string>",
"description": "<string>",
"fee": 123,
"fee_details": [
{
"amount": 123,
"description": "<string>",
"tax": 123,
"tax_percent": 123,
"type": "<string>"
}
],
"net": 123,
"payout": "<string>",
"source": "<string>",
"source_object": "<string>",
"type": "adjustment",
"account": "<string>",
"deleted": false
},
"currency": "<string>",
"customer": {
"id": "<string>",
"created": 123,
"object": "customer",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"default_payment_method": "<string>",
"delinquent": true,
"description": "<string>",
"email": "[email protected]",
"invoice_prefix": "<string>",
"invoicing": {
"arrears_emails": true,
"email_cc": [
"[email protected]"
],
"email_to": "[email protected]"
},
"legal": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"first_name": "<string>",
"last_name": "<string>"
},
"name": "<string>",
"phone": "<string>",
"radar": {
"message": "<string>",
"reason": "<string>",
"risk_level": "<string>"
},
"redaction": {
"redacted_at": 123,
"status": "processing"
},
"account": "<string>",
"deleted": false,
"metadata": {}
},
"description": "<string>",
"evidence": {
"customer_communication": "<string>",
"product_description": "<string>",
"refund_policy": "<string>",
"refund_policy_disclosure": "<string>",
"refund_refusal_explanation": "<string>",
"service_date": 123,
"service_documentation": "<string>",
"uncategorized_text": "<string>"
},
"evidence_details": {
"due_by": 123,
"has_evidence": true,
"past_due": true,
"submission_count": 123
},
"evidence_submitted": true,
"invoice": "<string>",
"liability": "account",
"reason": "<string>",
"resolved": true,
"status": "<string>",
"transaction": "<string>",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
Whether to immediately submit the evidence to the bank. If false, the evidence is staged on the dispute and can be submitted later. Defaults to true.
Response
Returns the dispute with the submitted evidence.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
dispute Disputed amount, in the smallest currency unit (e.g. cents).
The identifier of the user the dispute is assigned to.
The balance transaction associated with the dispute.
Show child attributes
Show child attributes
Three-letter ISO currency code, in lowercase. Must be a supported currency.
The customer the dispute is for.
Show child attributes
Show child attributes
An arbitrary string attached to the object. Often useful for displaying to users.
The evidence collected for the dispute.
Show child attributes
Show child attributes
Information about the dispute evidence, including the response deadline.
Show child attributes
Show child attributes
Whether the collected evidence has been submitted for review.
ID of the invoice associated with this dispute.
Who bears the financial loss if the dispute is lost. account means the loss is passed to the account; yorlet means Yorlet absorbs it. This is distinct from status, which always reflects the provider's actual dispute outcome.
account, yorlet The reason the dispute was raised.
Whether the dispute has been resolved.
Current status of the dispute.
ID of the transaction associated with this dispute.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/disputes/{id}/submit_evidence \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"submit": true
}'import requests
url = "https://api.yorlet.com/v1/disputes/{id}/submit_evidence"
payload = { "submit": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({submit: true})
};
fetch('https://api.yorlet.com/v1/disputes/{id}/submit_evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/disputes/{id}/submit_evidence",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'submit' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/disputes/{id}/submit_evidence"
payload := strings.NewReader("{\n \"submit\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/disputes/{id}/submit_evidence")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"submit\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/disputes/{id}/submit_evidence")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"submit\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "dispute",
"amount": 123,
"assignee": "<string>",
"balance_transaction": {
"id": "<string>",
"created": 123,
"object": "balance_transaction",
"amount": 123,
"available_on": 123,
"currency": "<string>",
"description": "<string>",
"fee": 123,
"fee_details": [
{
"amount": 123,
"description": "<string>",
"tax": 123,
"tax_percent": 123,
"type": "<string>"
}
],
"net": 123,
"payout": "<string>",
"source": "<string>",
"source_object": "<string>",
"type": "adjustment",
"account": "<string>",
"deleted": false
},
"currency": "<string>",
"customer": {
"id": "<string>",
"created": 123,
"object": "customer",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"default_payment_method": "<string>",
"delinquent": true,
"description": "<string>",
"email": "[email protected]",
"invoice_prefix": "<string>",
"invoicing": {
"arrears_emails": true,
"email_cc": [
"[email protected]"
],
"email_to": "[email protected]"
},
"legal": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"first_name": "<string>",
"last_name": "<string>"
},
"name": "<string>",
"phone": "<string>",
"radar": {
"message": "<string>",
"reason": "<string>",
"risk_level": "<string>"
},
"redaction": {
"redacted_at": 123,
"status": "processing"
},
"account": "<string>",
"deleted": false,
"metadata": {}
},
"description": "<string>",
"evidence": {
"customer_communication": "<string>",
"product_description": "<string>",
"refund_policy": "<string>",
"refund_policy_disclosure": "<string>",
"refund_refusal_explanation": "<string>",
"service_date": 123,
"service_documentation": "<string>",
"uncategorized_text": "<string>"
},
"evidence_details": {
"due_by": 123,
"has_evidence": true,
"past_due": true,
"submission_count": 123
},
"evidence_submitted": true,
"invoice": "<string>",
"liability": "account",
"reason": "<string>",
"resolved": true,
"status": "<string>",
"transaction": "<string>",
"account": "<string>",
"deleted": false
}